.profile-promo__container {
    --font-family: "Roboto", sans-serif;
    --font-weight-medium: 500;
    --font-weight-regular: 400;
    --font-size-large: 26px;
    --font-size-medium: 18px;
    --line-height-large: 30.47px;
}

.auth-authorize__container {
    display: grid;
    grid-template-columns: auto auto;
    grid-auto-rows: auto;
    column-gap: 1rem;
    border: 0;
    padding: 0;
    margin: 0;
}

.profile-promo__container {
    display: grid;
    grid-template-rows: auto auto;
    border: 0;
    padding: 0;
    margin-bottom: 0.5rem 0;
    align-items: end;
    align-content: space-between;
}

.profile-benefits__typography-large {
    font-family: var(--font-family);
    font-size: var(--font-size-large);
    line-height: var(--line-height-large);
    font-weight: 500;
    word-break: auto-phrase;
    white-space: normal;
    margin: 0;
}

.profile-benefits__typography-medium {
    font-family: var(--font-family);
    font-size: var(--font-size-medium);
    font-weight: var(--font-weight-regular);
    word-break: normal;
    white-space: normal;
    margin: 0;
}

.profile-benefits__container,
.profile-benefits__features,
.profile-benefits__feature {
    display: grid;
    border: 0;
    padding: 0;
    margin: 0;
}

.profile-benefits__container {
    row-gap: 0.5rem;
    align-items: start;
}

.profile-benefits__features {
    align-items: center;
}

.profile-benefits__feature {
    grid-template-columns: 40px 1fr;
    row-gap: 0.5rem;
    gap: 15px;
    align-items: center;
    grid-auto-rows: auto;
    list-style: none;
}

.call-to-signup__container {
    display: grid;
    grid-template-rows: auto auto;
    row-gap: 0.5rem;
    align-items: center;
}

.profile-benefits__icon {
    width: 40px;
    height: 40px;
    background-size: contain;
}

.icon-pepicons-pencil-rewind-time {
    background-image: url("../images/profile_features_icons/pepicons-pencil_rewind-time.svg");
}

.icon-solar-test-tube-minimalistic-linear {
    background-image: url("../images/profile_features_icons/solar_test-tube-minimalistic-linear.svg");
}

.icon-healthicons-clinical-fe-outline {
    background-image: url("../images/profile_features_icons/healthicons_clinical-fe-outline.svg");
}

.icon-schedule {
    background-image: url("../images/profile_features_icons/schedule.svg");
}

.icon-credit-card {
    background-image: url("../images/profile_features_icons/credit_card.svg");
}

@media (max-width: 1199px) {
    .auth-authorize__container {
        grid-template-columns: 1fr;
        grid-auto-rows: auto;
        row-gap: 2rem;
        justify-items: center;
    }

    .profile-benefits__container {
        row-gap: 1rem;
    }

    .profile-benefits__features {
        row-gap: 0.5rem;
    }

    .profile-promo__container {
        align-items: center;
        row-gap: 1rem;
        width: 410px;
        align-self: end;
    }
}

@media (max-width: 768px) {
    .profile-promo__container {
        width: 300px;
        align-self: end;
    }
}

@media (min-width: 1200px) {
    .auth-authorize__container {
        grid-template-columns: auto auto;
        column-gap: 1rem;
    }

    .profile-promo__container {
        height: 420px;
        justify-self: end;
        row-gap: 1.5rem;
        margin-top: 60px;
    }

    .profile-benefits__container {
        grid-template-rows: auto auto;
    }

    .profile-benefits__features {
        grid-template-rows: repeat(5, 40px);
    }
}
